<template>

    <main>

        <div class="row">
            <div v-for="categorie of categories" :key="categorie.id">
                <div class="col s2">
                <p><router-link to='/' active-class="active">{{ categorie.name }}</router-link><</p>
            </div>
            </div>
        </div>
    </main>
    
</template>

<script setup lang="ts">
// const fruits = ["apple", "banana", "orange"];

// function filteredList() {
//   return fruits.filter((fruit) =>
//     fruit.toLowerCase().includes(input.value.toLowerCase())
//   );
// }
import type { Categorie } from '@/entities';
import { fetchCategories } from '@/service/categorie-service';
import { onMounted, ref } from 'vue';

const categories = ref<Categorie[]>([]);



console.log(fetchCategories());

onMounted(async()=>{
    categories.value = await fetchCategories();
})
</script>

<style scoped>

main{
    margin: 3rem;

}

p{
    font-size: 20px;
    text-align: center;
    text-decoration: none;

    width: 15rem;
    height: 2rem;

    background-color: rgb(217, 239, 240);
    border-radius: 10px;
}

</style>